SHRED(1)

NOM
shred - Écrire par dessus un fichier pour en camoufler le contenu, et optionnellement l'effacer

SYNOPSIS
shred [OPTION] ... [FICHIER] ...

DESCRIPTION

Récrire sur les FICHIERs indiqués, de façon répétée, afin de rendre difficile toute récupération des données, même à l'aide de matériel coûteux.

L'entrée standard est lue quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-f, --force
    modifier les permissions pour permettre l'écriture si nécessaire

-n, --iterations=N
    récrire N fois au lieu du nombre par défaut (3)

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-s, --size=N
    déchiqueter N octets (les suffixes K, M, G sont acceptés)

-u  désallouer et supprimer le fichier après l'avoir écrasé

--remove[=FAÇON]
    identique à -u mais donne un contrôle sur la FAÇON d'effacer ; voir ci-dessous

-v, --verbose
    afficher un indicateur de progression

-x, --exact
    ne pas arrondir la taille des fichiers jusqu'au prochain bloc complet ;

    comportement par défaut pour les fichiers qui ne sont pas normaux

-z, --zero
    ajouter une réécriture finale avec des zéros pour camoufler le déchiquetage du fichier

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Supprimer les FICHIERs si --remove (-u) est indiqué. Par défaut les fichiers ne le sont pas, car opérer sur des fichiers de périphérique comme /dev/hda est fréquent, et ces fichiers ne devraient normalement pas être supprimés. Le paramètre facultatif FAÇON indique la façon de supprimer une entrée de répertoire : « unlink » => utiliser un appel unlink standard ; « wipe » => commencer en plus par brouiller les octets du nom ; « wipesync » => synchroniser aussi les octets brouillés sur le disque. Le mode par défaut est « wipesync », mais cela peut être coûteux.

ATTENTION : shred suppose que le système de fichiers et les données de remplacement de fichiers sont en place. Bien que cela soit en général fait, de nombreuses plateformes procèdent autrement. De plus, les sauvegardes et les miroirs peuvent contenir des copies non supprimables pour que vous puissiez récupérer un fichier traité par shred plus tard. Voir le manuel de GNU coreutils pour les détails.

AUTEUR
Écrit par Colin Plumb.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/shred>
aussi disponible localement à l’aide de la commande : info '(coreutils) shred invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Luc Froidefond <luc.froidefond@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com> et David Prévot <david@tilapin.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.